Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452875 - Upgrade to 3.4
Summary: Upgrade to 3.4
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 452874 452882 453781 455257
Blocks: 444937
TreeView+ depends on / blocked
 
Reported: 2008-06-25 15:19 UTC by Andrew Overholt
Modified: 2008-08-11 17:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-11 17:24:16 UTC


Attachments (Terms of Use)

Description Andrew Overholt 2008-06-25 15:19:48 UTC
The current plan is to upgrade to Eclipse 3.4 in Fedora 10.  We can use this as
a tracker bug for issues.

OTTOMH I can think of a few things we'll need to do:

- use p2
-- update pdebuild.sh to generate p2 metadata
-- ensure our metadata is properly read by p2 if we're going to use the dropins
approach for additional plugins
-- ensure our arch-specific/arch-independent split still works
- ensure we have all dependent packages updated and OSGi-ified a la Orbit
(eclipse.org/orbit)
- ensure secondary arches can still build and run

Comment 1 Andrew Overholt 2008-06-25 15:54:29 UTC
todo++:

- OSGi-ify objectweb-asm and provide a monolithic JAR to match Orbit's JAR
- ensure automated tests run against 3.4 and we have no failures

Also see:

https://fedoraproject.org/wiki/Features/Eclipse34

which will more than likely be kept up to date more than this bug (except for
blocker bugs).

Comment 2 John Poelstra 2008-06-27 03:13:10 UTC
traiged

Comment 3 Sean Flanigan 2008-07-28 01:42:19 UTC
I realise this work is still ongoing, but it looks to me as if eclipse.spec
should be creating/owning the "dropins" directory, perhaps as
/usr/share/eclipse/dropins.  I thought it might save some Bugzilla red-tape to
mention it now, just in case.

Comment 4 Andrew Overholt 2008-07-28 13:48:04 UTC
(In reply to comment #3)
> I realise this work is still ongoing, but it looks to me as if eclipse.spec
> should be creating/owning the "dropins" directory, perhaps as
> /usr/share/eclipse/dropins.  I thought it might save some Bugzilla red-tape to
> mention it now, just in case.

Thanks, Sean.  I had forgotten to add that.  It's definitely needed :)

Comment 5 Andrew Overholt 2008-08-11 17:24:16 UTC
This is now in rawhide.


Note You need to log in before you can comment on or make changes to this bug.